# Uses of Enum Class
org.bukkit.event.entity.EntityTargetEvent.TargetReason

Packages that use EntityTargetEvent.TargetReason
Package
Description
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of EntityTargetEvent.TargetReason in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return EntityTargetEvent.TargetReason
Modifier and Type
Method
Description
`@NotNull EntityTargetEvent.TargetReason`
EntityTargetEvent.`getReason()`
Returns the reason for the targeting
`static EntityTargetEvent.TargetReason`
EntityTargetEvent.TargetReason.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EntityTargetEvent.TargetReason[]`
EntityTargetEvent.TargetReason.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.entity with parameters of type EntityTargetEvent.TargetReason
Modifier
Constructor
Description
``
`EntityTargetEvent(@NotNull Entity entity, @Nullable Entity target, @NotNull EntityTargetEvent.TargetReason reason)`
``
`EntityTargetLivingEntityEvent(@NotNull Entity entity, @Nullable LivingEntity target, @Nullable EntityTargetEvent.TargetReason reason)`